[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH 2/9] New test on silent-rules mode and portability warnings.
From: |
Stefano Lattarini |
Subject: |
[PATCH 2/9] New test on silent-rules mode and portability warnings. |
Date: |
Tue, 4 Jan 2011 18:20:58 +0100 |
User-agent: |
KMail/1.13.3 (Linux/2.6.30-2-686; KDE/4.4.4; i686; ; ) |
This patch has already been reviewed and ACK'd (with the suggested
renaming "silent-rules-nowarn.test" => "silent-nowarn.test"), so a
new review shouldn't be required. Anyway, the amended patch is
attached, for completeness.
Regards,
Stefano
From 894bf2947894df080352f3231f8b87527e9cd508 Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Mon, 20 Dec 2010 19:28:35 +0100
Subject: [PATCH 2/9] New test on silent-rules mode and portability warnings.
* tests/silent-nowarn.test: New test.
* tests/Makefile.am (TESTS): Update.
---
ChangeLog | 6 ++++++
tests/Makefile.am | 1 +
tests/Makefile.in | 1 +
tests/silent-nowarn.test | 46 ++++++++++++++++++++++++++++++++++++++++++++++
4 files changed, 54 insertions(+), 0 deletions(-)
create mode 100755 tests/silent-nowarn.test
diff --git a/ChangeLog b/ChangeLog
index 40d7b8e..e57d6e8 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,11 @@
2011-01-02 Stefano Lattarini <address@hidden>
+ New test on silent-rules mode and portability warnings.
+ * tests/silent-nowarn.test: New test.
+ * tests/Makefile.am (TESTS): Update.
+
+2011-01-02 Stefano Lattarini <address@hidden>
+
Add new tests on strictness and warnings precedence and overriding.
* tests/strictness-override.test: New test.
* tests/strictness-precedence.test: New test.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index e155340..cee1fee 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -783,6 +783,7 @@ silent-lex-gcc.test \
silent-lex-generic.test \
silent-yacc-gcc.test \
silent-yacc-generic.test \
+silent-nowarn.test \
sinclude.test \
srcsub.test \
srcsub2.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index b4ddce0..41a713d 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -1046,6 +1046,7 @@ silent-lex-gcc.test \
silent-lex-generic.test \
silent-yacc-gcc.test \
silent-yacc-generic.test \
+silent-nowarn.test \
sinclude.test \
srcsub.test \
srcsub2.test \
diff --git a/tests/silent-nowarn.test b/tests/silent-nowarn.test
new file mode 100755
index 0000000..8840d0c
--- /dev/null
+++ b/tests/silent-nowarn.test
@@ -0,0 +1,46 @@
+#!/bin/sh
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check that the 'silent-rules' mode suppresses the warnings for recursive
+# make variable expansions. This should happen regardless of whether and
+# where these warnings are requested.
+
+. ./defs || Exit 1
+
+set -e
+
+cat > configure.in <<END
+AC_INIT([$me], [1.0])
+# Yes, we repeat the warnings two times, both before and after
+# 'silent-rules'. This is deliberate.
+AM_INIT_AUTOMAKE([gnu -Wall -Wportability-recursive
+ silent-rules
+ -Wall -Wportability-recursive])
+AC_CONFIG_FILES([Makefile])
+END
+
+cat > Makefile.am <<'END'
+AUTOMAKE_OPTIONS = gnu -Wall -Wportability-recursive
+foo = $($(v)) $(x$(v)) $($(v)x) $(y$(v)z)
+END
+
+# Files required bu gnu strictness.
+touch AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS
+
+$ACLOCAL
+$AUTOMAKE --gnu -Wall -Wportability-recursive
+
+:
--
1.7.2.3
- [PATCH v2 0/9] Explicit warning levels must always take precedence over those implied by the strictness, Stefano Lattarini, 2011/01/04
- [PATCH 1/9] Add new tests on strictness and warnings precedence and overriding., Stefano Lattarini, 2011/01/04
- [PATCH 2/9] New test on silent-rules mode and portability warnings.,
Stefano Lattarini <=
- [PATCH 3/9] Warnings win over strictness on command line., Stefano Lattarini, 2011/01/04
- [PATCH 4/9] Warnings win over strictness in AM_INIT_AUTOMAKE., Stefano Lattarini, 2011/01/04
- Re: [PATCH 4/9] Warnings win over strictness in AM_INIT_AUTOMAKE., Ralf Wildenhues, 2011/01/05
- Re: [PATCH 4/9] Warnings win over strictness in AM_INIT_AUTOMAKE., Stefano Lattarini, 2011/01/05
- Re: [PATCH 4/9] Warnings win over strictness in AM_INIT_AUTOMAKE., Ralf Wildenhues, 2011/01/06
- Re: [PATCH 4/9] Warnings win over strictness in AM_INIT_AUTOMAKE., Ralf Wildenhues, 2011/01/12
- Re: [PATCH 4/9] Warnings win over strictness in AM_INIT_AUTOMAKE., Stefano Lattarini, 2011/01/12
- Re: [PATCH 4/9] Warnings win over strictness in AM_INIT_AUTOMAKE., Ralf Wildenhues, 2011/01/13
- Re: [PATCH 4/9] Warnings win over strictness in AM_INIT_AUTOMAKE., Stefano Lattarini, 2011/01/13
- Re: [PATCH 4/9] Warnings win over strictness in AM_INIT_AUTOMAKE., Ralf Wildenhues, 2011/01/14